Kernel Version won't allow update...

Discussion in 'Kernel Questions' started by rbartz, Oct 11, 2013.

  1. rbartz

    rbartz Member

    OK, after a lot of searching I am kind of stumped.

    THE PROBLEM. The motherboard dies on a dedicated server running CENTOS 5.6 / ISPConfig with about 30 websites. We lease a new server but they set it up with CENTOS 6.4. We are in a rush to get back online, so they re-provision with 5.9, then with 5.6 so that we can recover everything and set it up with ispconfig2. We do a "perfect server" install and move everything over from the old hard drive.

    Everything works fine UNTIL we want to do yum update to bring it all up to CENTOS 5.9. DANG... The kernel is already too new to allow it!

    Here is what is going on now:

    [[email protected] ~]# cat /etc/redhat-release
    CentOS release 5.6 (Final)

    [[email protected] ~]# uname -r
    2.6.18-348.el5


    [[email protected] ~]# rpm -qa kernel
    kernel-2.6.18-348.12.1.el5
    kernel-2.6.18-348.el5
    kernel-2.6.18-348.6.1.el5
    kernel-2.6.18-348.18.1.el5


    [[email protected] ~]# cat /boot/grub/grub.conf
    # =============================================================
    # Grub Configuration File generated by BareMetal
    # =============================================================
    #boot=/dev/sda
    default=0
    timeout=5
    splashimage=(hd0,0)/grub/splash.xpm.gz
    hiddenmenu
    title CentOS (2.6.18-348.18.1.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-348.18.1.el5 ro root=/dev/sda3
    initrd /initrd-2.6.18-348.18.1.el5.img
    title CentOS (2.6.18-348.12.1.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-348.12.1.el5 ro root=/dev/sda3
    initrd /initrd-2.6.18-348.12.1.el5.img
    title CentOS (2.6.18-348.6.1.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-348.6.1.el5 ro root=/dev/sda3
    initrd /initrd-2.6.18-348.6.1.el5.img
    title CentOS (2.6.18-348.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-348.el5 ro root=/dev/sda3
    initrd /initrd-2.6.18-348.el5.img


    THE QUESTION: How can we downgrade the kernel so that yum update will update the system up to CENTOS 5.9?

    TRIED: setting grub.conf to load CentOS (2.6.18-348.el5). Still too new.

    THANK YOU for your help, you guys are amazing.

    Richard
     

Share This Page